/***************************************************************************
    file:           general.h
    description:    general use
    begin:          09/06/2024
    Copyright:      Giuseppe Della Bianca<giusdbg@gmail.com>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _GENERAL_H_
#define _GENERAL_H_

#include <qglobal.h>
#include <qloggingcategory.h>

    enum MeterType
    {
        None = 0x00000000,
        Empty = 0x00000001,
        Gauge = 0x00000002,
        Chart = 0x00000004,
    };
    
//    Q_DECLARE_FLAGS(MeterTypes, MeterType)
    typedef enum MeterType MeterTypes;

Q_DECLARE_LOGGING_CATEGORY(qlcMain)
Q_DECLARE_LOGGING_CATEGORY(qlcLMSensorsAlarms)
const QLoggingCategory &name();

#define qsFL1(x)      QString::fromLatin1( x )
#define qsFUF8(x)     QString::fromUtf8( x )

#define doubleEPS     ( std::numeric_limits<double>::epsilon() * 5.0 )
#define qrealEPS      ( std::numeric_limits<qreal>::epsilon() * 5.0 )
#define qrealMIN      ( std::numeric_limits<qreal>::min() )
#define qrealMAX      ( std::numeric_limits<qreal>::max() )

QString findIcon( const char *name );

int doubleCompare( double rif, double value );
int qrealCompare( qreal rif, qreal value );
qreal qrealDivision( qreal dividend, qreal divisor );

#endif // _GENERAL_H
