/***************************************************************************
    file:           generalcfg.h
    description:    general configuration
    begin:          09/06/2024
    Copyright:      Giuseppe Della Bianca<giusdbg@gmail.com>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GENERALCFG_H
#define GENERALCFG_H

#include "ksensorsmain.h"
#include "ksensorssetting.h"

#include "sensordevslist.h"
#include "generalcfgdesign.h"
#include "palettecfg.h"

/**
  *@original author Miguel Novas
  */

class GeneralCfg : public GeneralCfgDesign, public ksensorsSetting
{
Q_OBJECT
public:
	GeneralCfg( KsensorsMain *ksensorsMainIn, QWidget *parent = nullptr, const QString &name = QString() );
	~GeneralCfg();

public Q_SLOTS:

  void slotApplyChanges();

protected Q_SLOTS:  
  void slotMainTabPageChanged( int index );
  
protected:
  void applyGeneralChanges();
  void applyPreferencesChanges();
  
  void readGeneralInfo();
  void readPreferencesInfo();
  
  virtual void showEvent ( QShowEvent *event ) override;
    
private:

  PaletteCfg *palPanelCfg;  
};

#endif
