/***************************************************************************
                          lmsensorschip.h  -  description
                             -------------------
    begin                : Wed Feb 20 2002
    Copyright	Giuseppe Della Bianca<giusdbg@gmail.com>

    original author	 : Miguel Novas
    email                : michaell@teleline.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LMSENSORSCHIP_H
#define LMSENSORSCHIP_H

#include "lmsensor.h"
#include "sensordev.h"

/**
  *@original author Miguel Novas
  */

class LMSensorsChip : public SensorDev
{
Q_OBJECT

  friend class LMSensor;

public:

	LMSensorsChip( SensorDevsList *sensorDevsList, const sensors_chip_name *chip = nullptr, const QString &name = QString() );
	~LMSensorsChip();

public Q_SLOTS:

 void updateSensors( bool enabUpdate ) override;

protected:

    const sensors_chip_name *getChipName();

    static QString getDevShortName( const sensors_chip_name *chipname );
    static QString getDevLongName( const sensors_chip_name *chipname );
    static QString getDevSubName( const sensors_chip_name *chipname );
    static QString getDevDesc( const sensors_chip_name *chipname );

private:

  const sensors_chip_name *chip_name;
  bool initSensorsChip();
  void createSensors();
};


#endif
